### Enumeration

# Aravis GcCachable

#### Declaration

    enum Aravis.GcCachable

#### Description [src]

Specifies caching mode for register values.

#### Members

`ARV_GC_CACHABLE_UNDEFINED`

  Undefined cache mode.

  - Value: `-1`
  - Available since: 0.8
`ARV_GC_CACHABLE_NO_CACHE`

  No value caching.

  - Value: `0`
  - Available since: 0.8
`ARV_GC_CACHABLE_WRITE_THROUGH`

  Write-through cache mode.

  - Value: `1`
  - Available since: 0.8
`ARV_GC_CACHABLE_WRITE_AROUND`

  Write-around cache mode.

  - Value: `2`
  - Available since: 0.8